import { InjectionKey } from 'vue';
import { Hanlder } from '@/type';
export declare const ProviderKey = "ProviderKey";
export declare abstract class VueService {
    static handler: Hanlder[];
    constructor();
}
export declare abstract class VueGlobalService extends VueService {
    static get<T = any>(token: string | symbol): T;
    static get<T = any>(token: InjectionKey<T>): T;
    static get<T extends {
        new (...args: any[]): InstanceType<T>;
        ProviderKey: InjectionKey<T>;
    }>(token: T): InstanceType<T>;
    static getSelf<T extends {
        new (...args: any[]): any;
    }>(this: T): InstanceType<T>;
    constructor();
}
